Bug 45141 - [Qt] V8 port for QT platform: webcore project files changes
: [Qt] V8 port for QT platform: webcore project files changes
Status: RESOLVED FIXED
: WebKit
New Bugs
: 528+ (Nightly build)
: All All
: P3 Normal
Assigned To:
:
: Qt, QtTriaged
:
: 45136
  Show dependency treegraph
 
Reported: 2010-09-02 15:45 PST by
Modified: 2010-09-11 11:13 PST (History)


Attachments
webcore project files changes (51.53 KB, text/plain)
2010-09-02 17:09 PST, Vlad
no flags Details
QTJAVASCRIPTENGINE changed to JAVASCRIPT_ENGINE. Added V8_INCLUDE_DIR (51.85 KB, patch)
2010-09-03 10:52 PST, Vlad
no flags Review Patch | Details | Formatted Diff | Diff
Patch (52.03 KB, patch)
2010-09-11 10:53 PST, Simon Hausmann
no flags Review Patch | Details | Formatted Diff | Diff
Patch (52.03 KB, patch)
2010-09-11 10:55 PST, Simon Hausmann
no flags Review Patch | Details | Formatted Diff | Diff
Patch (1.52 KB, patch)
2010-09-11 11:00 PST, Simon Hausmann
no flags Review Patch | Details | Formatted Diff | Diff
Patch (2.26 KB, patch)
2010-09-11 11:02 PST, Simon Hausmann
no flags Review Patch | Details | Formatted Diff | Diff
Patch (51.99 KB, patch)
2010-09-11 11:07 PST, Simon Hausmann
akling: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-09-02 15:45:20 PST
Modify webcore project files to include V8 javascript engine. By default disabled.
------- Comment #1 From 2010-09-02 17:09:51 PST -------
Created an attachment (id=66433) [details]
webcore project files changes
------- Comment #2 From 2010-09-02 19:47:53 PST -------
1./ Instead of 

+contains(QTJAVASCRIPTENGINE, V8) {
+    WEBCORE_INCLUDEPATH = \
+        $$PWD/../v8.$$QTJAVASCRIPTENGINEREV/include \
+        $$PWD/bindings/v8 \

I would recommend 

+contains(QTJAVASCRIPTENGINE, V8) {
+    WEBCORE_INCLUDEPATH = \
+        $$PWD/../$$V8_DIR/include \
+        $$PWD/bindigs/v8

2./ Instead of repeating the wtf source files in WebCore.pro I think it is time to create a wtf.pri under JavaScriptCore/wtf.
------- Comment #3 From 2010-09-02 23:53:16 PST -------
(From update of attachment 66433 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=66433&action=prettypatch

> WebCore/WebCore.pri:70
> +contains(QTJAVASCRIPTENGINE, V8) {
> +    IDL_BINDINGS += \
> +        html/canvas/CanvasPixelArray.idl
> +}
> +
Andreas, do we need this for the JSC build, too?
------- Comment #4 From 2010-09-03 01:59:24 PST -------
(In reply to comment #3)
> > WebCore/WebCore.pri:70
> > +contains(QTJAVASCRIPTENGINE, V8) {
> > +    IDL_BINDINGS += \
> > +        html/canvas/CanvasPixelArray.idl
> > +}
> > +
> Andreas, do we need this for the JSC build, too?

No, JSC returns a manually constructed CanvasPixelArray object in WebCore/bindings/js/JSImageDataCustom.cpp and does not use this IDL file.
------- Comment #5 From 2010-09-03 10:52:39 PST -------
Created an attachment (id=66520) [details]
QTJAVASCRIPTENGINE changed to JAVASCRIPT_ENGINE. Added V8_INCLUDE_DIR
------- Comment #6 From 2010-09-07 08:40:46 PST -------
(From update of attachment 66520 [details])
> +       platform/qt/platformBridge.cpp \

This won't work on case-sensitive systems; the file you added in another patch was called "PlatformBridge.cpp"
------- Comment #7 From 2010-09-11 10:53:53 PST -------
Created an attachment (id=67304) [details]
Patch
------- Comment #8 From 2010-09-11 10:55:19 PST -------
Created an attachment (id=67305) [details]
Patch
------- Comment #9 From 2010-09-11 11:00:36 PST -------
Created an attachment (id=67306) [details]
Patch
------- Comment #10 From 2010-09-11 11:02:47 PST -------
Created an attachment (id=67307) [details]
Patch
------- Comment #11 From 2010-09-11 11:07:56 PST -------
Created an attachment (id=67308) [details]
Patch
------- Comment #12 From 2010-09-11 11:08:51 PST -------
(From update of attachment 67308 [details])
r=me
------- Comment #13 From 2010-09-11 11:13:17 PST -------
Committed r67306: <http://trac.webkit.org/changeset/67306>